package com.bonus.canteen.core.supply.purchase.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

public class DrpSupplierSimpleVo {
   @JsonProperty("supplierId")
   @ApiModelProperty("供应商Id")
   private Long supplierId;
   @JsonProperty("supplierName")
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @JsonProperty("ifHaveCert")
   @ApiModelProperty("是否具备资格证书: 1-是,2-否")
   private Integer ifHaveCert;

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Integer getIfHaveCert() {
      return this.ifHaveCert;
   }

   @JsonProperty("supplierId")
   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   @JsonProperty("supplierName")
   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   @JsonProperty("ifHaveCert")
   public void setIfHaveCert(final Integer ifHaveCert) {
      this.ifHaveCert = ifHaveCert;
   }
}
